org.eclipse.jetty.plus.jaas

## Class StrictRoleCheckPolicy

- java.lang.Object
- - org.eclipse.jetty.plus.jaas.StrictRoleCheckPolicy

- All Implemented Interfaces:
    RoleCheckPolicy

      public class StrictRoleCheckPolicy
      extends Object
      implements RoleCheckPolicy

  StrictRoleCheckPolicy

  Enforces that if a runAsRole is present, then the role to check must be the same as that runAsRole and the set of static roles is ignored.

  Apache XBean:
    description ="Check only topmost role in stack of roles for user"

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StrictRoleCheckPolicy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkRole(String roleName, Principal runAsRole, Group roles)` Check if a role is either a runAsRole or in a set of roles

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StrictRoleCheckPolicy

          public StrictRoleCheckPolicy()

  - ### Method Detail

    - #### checkRole

          public boolean checkRole(String roleName,
                          Principal runAsRole,
                          Group roles)

      Description copied from interface: `RoleCheckPolicy`
      Check if a role is either a runAsRole or in a set of roles
      Specified by:
        `checkRole` in interface `RoleCheckPolicy`
      Parameters:
        `roleName` - the role to check
        `runAsRole` - a pushed role (can be null)
        `roles` - a Group whose Principals are role names
      Returns:
        `true` if `role` equals `runAsRole` or is a member of `roles`.

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.